Asset:
  properties:
    ID:
      description: Record Id
      type: string
    AccountID:
      description: Account
      type: string
    Address:
      $ref: "./address.yaml#/Address"
    AssetLevel:
      description: Asset Level
      type: number
    AssetProvidedByID:
      description: Asset Provided By
      type: string
    AssetServicedByID:
      description: Asset Serviced By
      type: string
    CompanyProductID:
      description: Company Product
      type: string
    ConsequenceOfFailure:
      description: Consequence Of Failure
      type: string
    ContactID:
      description: Contact
      type: string
    CreatedByID:
      description: Created By
      type: string
    CreatedDate:
      description: Created Date
      type: string
    CurrentAmount:
      description: Current Amount
      type: number
    CurrentLifecycleEndDate:
      description: Current Lifecycle End Date
      type: string
    CurrentMrr:
      description: Current Monthly Recurring Revenue
      type: number
    CurrentQuantity:
      description: Current Quantity
      type: number
    Description:
      description: Description
      type: string
    DigitalAssetStatus:
      description: Digital Asset Status
      type: string
    ExternalIdentifier:
      description: External Id
      type: string
    HasLifecycleManagement:
      description: Has Lifecycle Management
      type: boolean
    InstallDate:
      description: Install Date
      type: string
    IsCompetitorProduct:
      description: Competitor Asset
      type: boolean
    IsInternal:
      description: Internal Asset
      type: boolean
    LastModifiedByID:
      description: Last Modified By
      type: string
    LastModifiedDate:
      description: Last Modified Date
      type: string
    LocationID:
      description: Location
      type: string
    MIMEType:
      description: MIME Type
      type: string
    ManufactureDate:
      description: Manufacture Date
      type: string
    Name:
      description: Asset Name
      type: string
    ParentID:
      description: Parent Asset
      type: string
    Price:
      description: Price
      type: number
    Product2ID:
      description: Product
      type: string
    ProductCode:
      description: Product Code
      type: string
    ProductDescription:
      description: Product Description
      type: string
    ProductFamily:
      description: Product Family
      type: string
    PurchaseDate:
      description: Purchase Date
      type: string
    Quantity:
      description: Quantity
      type: number
    RootAssetID:
      description: Root Asset
      type: string
    SerialNumber:
      description: Serial Number
      type: string
    Status:
      description: Status
      type: string
    StatusReason:
      description: Status Reason
      type: string
    StockKeepingUnit:
      description: Product SKU
      type: string
    TenantID:
      description: Tenant ID
      type: string
    TotalLifecycleAmount:
      description: Total Lifecycle Amount
      type: number
    Type:
      description: Type
      type: string
    URL:
      description: URL
      type: string
    UsageEndDate:
      description: Usage End Date
      type: string
  type: object
